Skip to main content
GET
/
v1
/
organisations
/
{organisationId}
/
locations
List locations
curl --request GET \
  --url https://api.halth.com/v1/organisations/{organisationId}/locations
{
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "timeZone": "<string>",
      "address": {
        "line1": "<string>",
        "line2": "<string>",
        "suburb": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postcode": "<string>",
        "country": "<string>",
        "countryCode": "<string>"
      },
      "suggestedTaxIdentifier": "<string>",
      "bookingCustomText": "<string>",
      "businessId": "<string>",
      "business": {
        "id": "<string>",
        "name": "<string>",
        "settings": {
          "autoReconciliationEnabled": true,
          "autoInviteClientsEnabled": true
        },
        "createdAt": "2023-11-07T05:31:56Z",
        "taxIdentifier": "<string>",
        "countryCode": "<string>",
        "structure": "public_corporation",
        "merchantId": "<string>",
        "capabilities": [
          {
            "id": "bookings_client_funding_phi",
            "status": "inactive"
          }
        ]
      },
      "email": "<string>",
      "registrations": [
        {
          "type": "medicare",
          "medicare": {
            "minorId": "<string>",
            "prodaLocationId": "<string>",
            "status": "<string>"
          },
          "phi": {
            "phiLocationId": "<string>",
            "status": "<string>"
          }
        }
      ]
    }
  ],
  "page": 1,
  "limit": 10,
  "totalItems": 100,
  "totalPages": 10
}

Path Parameters

organisationId
string
required

Organisation ID

Example:

"org_31XEcUshz1ymodA14HALnyP48g1"

Query Parameters

page
number
default:1

Page number

Required range: 1 <= x <= 9007199254740991
Example:

1

limit
number
default:10

Number of items per page

Required range: 1 <= x <= 200
Example:

10

expand
enum<string>[]
Available options:
business,
registrations

Response

200 - application/json
items
object[]
page
number
Example:

1

limit
number
Example:

10

totalItems
number
Example:

100

totalPages
number
Example:

10